gleToroid(3GLE)

NAME
gleToroid - Generalized torus, lathe with circle contour.

SYNTAX

void gleToroid (gleDouble rToroid,
                gleDouble up[3],
                gleDouble startRadius,
                gleDouble drdTheta,
                gleDouble startZ,
                gleDouble dzdTheta,
                gleDouble startXform[2][3],
                gleDouble dXformdTheta[2][3],
                gleDouble startTheta,
                gleDouble sweepTheta);

ARGUMENTS

rToroid
    circle contour (torus) radius

startRadius
    spiral starts in x-y plane

drdTheta
    change in radius per revolution

startZ
    starting z value

dzdTheta
    change in Z per revolution

startXform
    starting contour affine transformation

dXformdTheta
    tangent change xform per revolution

startTheta
    start angle in x-y plane

sweepTheta
    degrees to spiral around

DESCRIPTION

Generalized Torus. Similar to gleLathe, except contour is a circle. Uses gleLathe to draw.

SEE ALSO
gleSpiral, gleHelicoid

AUTHOR
Linas Vepstas (linas@linas.org)